
%global meadversion 2.1.2
%global namedversion 2.1.2.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jandex}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.1.2.Final-redhat-00001

Name:           %{?scl_prefix}jandex
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Java Annotation Indexer
Group:          Development/Java

%if %with mead
Source100: jandex-2.1.2.Final-redhat-00001-project-sources.tar.gz
Source102: jandex-2.1.2.Final-redhat-00001-javadoc.jar
Source103: jandex-2.1.2.Final-redhat-00001-sources.jar
Source104: jandex-2.1.2.Final-redhat-00001.pom
Source105: jandex-2.1.2.Final-redhat-00001.jar
%endif

License:        ASL 2.0
URL:            https://github.com/wildfly/jandex
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jandex
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jandex-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jandex-%{namedversion}.jar %{buildroot}%{_javadir}/jandex-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jandex-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jandex-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jandex-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jandex-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jandex-%{namedversion}
unzip -qq %{_sourcedir}/jandex-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jandex-%{namedversion} -x META-INF/\*
%{__ln_s} jandex-%{namedversion} %{buildroot}%{_javadocdir}/jandex
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt README.md
%{_javadir}/jandex-%{namedversion}.jar
%{_javadir}/jandex.jar
%if %with javadoc
%{_javadir}/jandex-%{namedversion}-javadoc.jar
%{_javadir}/jandex-javadoc.jar
%endif
%{_javadir}/jandex-%{namedversion}-sources.jar
%{_javadir}/jandex-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jandex-%{namedversion}
%{_javadocdir}/jandex
%endif

%changelog
* Mon Mar 23 2020 Yong Yang <yyang@redhat.com> - 2.1.2-1.Final_redhat_00001.1
- 2.1.2.Final-redhat-00001

* Tue Jun 12 2018 Permaine Cheung <pcheung@redhat.com> - 2.0.5-2.Final_redhat_1.1
- Rewrap for 7.2.0

* Tue May 22 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 2.0.5-1.Final_redhat_1.1
- upgrade to 2.0.5.Final-redhat-1

* Tue May 22 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 2.0.5-1.Final_redhat_1.1
- upgrade to 2.0.5.Final-redhat-1

* Fri Oct 21 2016 Filip Kujikis <fkujikis@redhat.com> - 2.0.3-1.Final_redhat_1.1
- prod build of usptream tag 2.0.3.Final

* Thu Apr 07 2016 Paul Gier <pgier@redhat.com> - 2.0.2-1.Final_redhat_1.1
- 2.0.2.Final

* Wed Jan 06 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.0.1-1.Final_redhat_1.1
- Upgrade to 2.0.1.Final

* Tue Oct 27 2015 David Walluck <dwalluck@redhat.com> - 2.0.0-5.Final_redhat_1.1
- 2.0.0.Final

* Sat Sep 19 2015 David Walluck <dwalluck@redhat.com> 0:2.0.0-4.CR1_redhat_1.1
- release
